## GitHub Labels

We use labels liberally for our issues and pull requests.
Labels have prefixes as follow:

- `a:` - area, an area of concern (like privacy or accessibility) that cuts across features or components
- `c:` - system component (client or server)
- `f:` - feature, as it is implemented end-to-end across all components and areas
- `needs:` - what this item is blocked on
- `P(0|1|2)` - priority
- `resolved:` - reason for resolution (closure) of an item
- `source:` - where this item orginated
- `t:` - type of issue (items should have no more than one of these)

We also use some standard labels without prefixes:

- `blocked` - this issue or PR should not be worked on or merged; consult the person applying the label or a team lead. Items with this label ideally also have a `needs:` label.
- `help wanted` - we'd love to have a community member work on this. Items with this label should be fairly stand-alone and of well-defined scope.
